<?php
session_start();
include 'config.php';
if (!isset($_SESSION['user_id'])) {
    header('Location: login.php');
    exit();
}
?>
<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <title>إدارة العملاء - مركز الصيانة</title>
    <style>
        /* نفس التنسيق السابق */
        .customer-form {
            background: white;
            padding: 20px;
            border-radius: 8px;
            margin-bottom: 20px;
        }
        .customer-table {
            width: 100%;
            border-collapse: collapse;
        }
        .customer-table th, .customer-table td {
            padding: 10px;
            border: 1px solid #ddd;
        }
        .btn-add {
            background: #28a745;
            color: white;
            padding: 10px 15px;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }
    </style>
</head>
<body>
    <!-- نفس Sidebar من dashboard.php -->
    
    <div class="content">
        <h1>إدارة العملاء</h1>
        
        <div class="customer-form">
            <h2>إضافة عميل جديد</h2>
            <form method="POST">
                <div class="form-group">
                    <label>اسم العميل:</label>
                    <input type="text" name="name" required>
                </div>
                <div class="form-group">
                    <label>رقم الهاتف:</label>
                    <input type="text" name="phone" required>
                </div>
                <div class="form-group">
                    <label>البريد الإلكتروني:</label>
                    <input type="email" name="email">
                </div>
                <div class="form-group">
                    <label>العنوان:</label>
                    <textarea name="address"></textarea>
                </div>
                <button type="submit" class="btn-add">إضافة عميل</button>
            </form>
        </div>

        <table class="customer-table">
            <thead>
                <tr>
                    <th>الرقم</th>
                    <th>الاسم</th>
                    <th>الهاتف</th>
                    <th>البريد الإلكتروني</th>
                    <th>العنوان</th>
                    <th>الإجراءات</th>
                </tr>
            </thead>
            <tbody>
                <?php
                $stmt = $pdo->query("SELECT * FROM customers ORDER BY customer_id DESC");
                while ($row = $stmt->fetch()) {
                    echo "<tr>";
                    echo "<td>{$row['customer_id']}</td>";
                    echo "<td>{$row['name']}</td>";
                    echo "<td>{$row['phone']}</td>";
                    echo "<td>{$row['email']}</td>";
                    echo "<td>{$row['address']}</td>";
                    echo "<td>
                            <a href='edit_customer.php?id={$row['customer_id']}'>تعديل</a> |
                            <a href='delete_customer.php?id={$row['customer_id']}'>حذف</a>
                          </td>";
                    echo "</tr>";
                }
                ?>
            </tbody>
        </table>
    </div>
</body>
</html>