<?php
session_start();
include 'config.php';
if (!isset($_SESSION['user_id'])) {
    header('Location: login.php');
    exit();
}
?>
<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <title>لوحة التحكم - مركز الصيانة</title>
    <style>
        body {
            font-family: 'Cairo', sans-serif;
            margin: 0;
            padding: 0;
        }
        .sidebar {
            width: 250px;
            background: #333;
            height: 100vh;
            position: fixed;
            right: 0;
            color: white;
            padding-top: 20px;
        }
        .sidebar a {
            color: white;
            text-decoration: none;
            padding: 15px 25px;
            display: block;
        }
        .sidebar a:hover {
            background: #444;
        }
        .content {
            margin-right: 250px;
            padding: 20px;
        }
        .dashboard-stats {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
            gap: 20px;
            margin-top: 20px;
        }
        .stat-card {
            background: white;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0,0,0,0.1);
        }
    </style>
</head>
<body>
    <div class="sidebar">
        <h2 style="text-align: center">مركز الصيانة</h2>
        <a href="dashboard.php">الرئيسية</a>
        <a href="customers.php">العملاء</a>
        <a href="vehicles.php">السيارات</a>
        <a href="work_orders.php">أوامر العمل</a>
        <a href="invoices.php">الفواتير</a>
        <a href="statistics.php">الإحصائيات</a>
        <a href="logout.php">تسجيل خروج</a>
    </div>

    <div class="content">
        <h1>لوحة التحكم</h1>
        <div class="dashboard-stats">
            <?php
            // إحصائيات العملاء
            $stmt = $pdo->query("SELECT COUNT(*) as count FROM customers");
            $customers = $stmt->fetch();
            ?>
            <div class="stat-card">
                <h3>عدد العملاء</h3>
                <p><?php echo $customers['count']; ?></p>
            </div>
            
            <?php
            // إحصائيات السيارات
            $stmt = $pdo->query("SELECT COUNT(*) as count FROM vehicles");
            $vehicles = $stmt->fetch();
            ?>
            <div class="stat-card">
                <h3>عدد السيارات</h3>
                <p><?php echo $vehicles['count']; ?></p>
            </div>
            
            <?php
            // إحصائيات أوامر العمل
            $stmt = $pdo->query("SELECT COUNT(*) as count FROM work_orders WHERE status = 'pending'");
            $orders = $stmt->fetch();
            ?>
            <div class="stat-card">
                <h3>أوامر العمل المعلقة</h3>
                <p><?php echo $orders['count']; ?></p>
            </div>
        </div>
    </div>
</body>
</html>