<?php
session_start();
include 'config.php';
if (!isset($_SESSION['user_id'])) {
    header('Location: login.php');
    exit();
}
?>
<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <title>الفواتير - مركز الصيانة</title>
    <style>
        .invoice-table {
            width: 100%;
            border-collapse: collapse;
        }
        .invoice-table th, .invoice-table td {
            padding: 10px;
            border: 1px solid #ddd;
        }
        .paid { color: #28a745; }
        .unpaid { color: #dc3545; }
        .print-btn {
            background: #17a2b8;
            color: white;
            padding: 5px 10px;
            border-radius: 4px;
            text-decoration: none;
        }
    </style>
</head>
<body>
    <div class="content">
        <h1>إدارة الفواتير</h1>
        
        <table class="invoice-table">
            <thead>
                <tr>
                    <th>رقم الفاتورة</th>
                    <th>رقم أمر العمل</th>
                    <th>العميل</th>
                    <th>المبلغ</th>
                    <th>تاريخ الإصدار</th>
                    <th>الحالة</th>
                    <th>الإجراءات</th>
                </tr>
            </thead>
            <tbody>
                <?php
                $stmt = $pdo->query("SELECT i.*, wo.order_id, c.name as customer_name 
                                   FROM invoices i 
                                   JOIN work_orders wo ON i.order_id = wo.order_id 
                                   JOIN vehicles v ON wo.vehicle_id = v.vehicle_id 
                                   JOIN customers c ON v.customer_id = c.customer_id 
                                   ORDER BY i.invoice_id DESC");
                while ($row = $stmt->fetch()) {
                    $statusClass = $row['paid'] ? 'paid' : 'unpaid';
                    $statusText = $row['paid'] ? 'مدفوع' : 'غير مدفوع';
                    echo "<tr>";
                    echo "<td>{$row['invoice_id']}</td>";
                    echo "<td>{$row['order_id']}</td>";
                    echo "<td>{$row['customer_name']}</td>";
                    echo "<td>{$row['amount']}</td>";
                    echo "<td>{$row['issue_date']}</td>";
                    echo "<td class='{$statusClass}'>{$statusText}</td>";
                    echo "<td>
                            <a href='print_invoice.php?id={$row['invoice_id']}' class='print-btn'>طباعة</a> |
                            <a href='mark_paid.php?id={$row['invoice_id']}'>تحديث الحالة</a>
                          </td>";
                    echo "</tr>";
                }
                ?>
            </tbody>
        </table>
    </div>
</body>
</html>