<?php
session_start();
include 'config.php';
if (!isset($_SESSION['user_id'])) {
    header('Location: login.php');
    exit();
}
?>
<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <title>البحث المتقدم - مركز الصيانة</title>
    <style>
        .search-form {
            background: white;
            padding: 20px;
            border-radius: 8px;
            margin-bottom: 20px;
        }
        .search-results {
            margin-top: 20px;
        }
        .result-item {
            background: white;
            padding: 15px;
            margin-bottom: 10px;
            border-radius: 4px;
            box-shadow: 0 2px 4px rgba(0,0,0,0.1);
        }
    </style>
</head>
<body>
    <div class="content">
        <h1>البحث المتقدم</h1>
        
        <div class="search-form">
            <form method="GET">
                <div class="form-group">
                    <label>نوع البحث:</label>
                    <select name="search_type">
                        <option value="vehicle">سيارة</option>
                        <option value="customer">عميل</option>
                        <option value="work_order">أمر عمل</option>
                        <option value="invoice">فاتورة</option>
                    </select>
                </div>
                <div class="form-group">
                    <label>كلمة البحث:</label>
                    <input type="text" name="keyword" required>
                </div>
                <button type="submit" class="btn-add">بحث</button>
            </form>
        </div>

        <div class="search-results">
            <?php
            if (isset($_GET['keyword'])) {
                $keyword = $_GET['keyword'];
                $searchType = $_GET['search_type'];
                
                switch($searchType) {
                    case 'vehicle':
                        $stmt = $pdo->prepare("SELECT v.*, c.name as customer_name 
                                             FROM vehicles v 
                                             JOIN customers c ON v.customer_id = c.customer_id 
                                             WHERE v.plate_number LIKE ? 
                                             OR v.make LIKE ? 
                                             OR v.model LIKE ?");
                        $stmt->execute(["%$keyword%", "%$keyword%", "%$keyword%"]);
                        while ($row = $stmt->fetch()) {
                            echo "<div class='result-item'>";
                            echo "<h3>سيارة: {$row['make']} {$row['model']}</h3>";
                            echo "<p>رقم اللوحة: {$row['plate_number']}</p>";
                            echo "<p>العميل: {$row['customer_name']}</p>";
                            echo "</div>";
                        }
                        break;
                    
                    case 'customer':
                        $stmt = $pdo->prepare("SELECT * FROM customers 
                                             WHERE name LIKE ? 
                                             OR phone LIKE ? 
                                             OR email LIKE ?");
                        $stmt->execute(["%$keyword%", "%$keyword%", "%$keyword%"]);
                        while ($row = $stmt->fetch()) {
                            echo "<div class='result-item'>";
                            echo "<h3>العميل: {$row['name']}</h3>";
                            echo "<p>الهاتف: {$row['phone']}</p>";
                            echo "<p>البريد: {$row['email']}</p>";
                            echo "</div>";
                        }
                        break;
                    
                    // يمكن إضافة المزيد من أنواع البحث هنا
                }
            }
            ?>
        </div>
    </div>
</body>
</html>