<?php
session_start();
include 'config.php';
if (!isset($_SESSION['user_id'])) {
    header('Location: login.php');
    exit();
}
?>
<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <title>الإحصائيات - مركز الصيانة</title>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <style>
        .stats-container {
            display: grid;
            grid-template-columns: repeat(2, 1fr);
            gap: 20px;
            margin-top: 20px;
        }
        .chart-container {
            background: white;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0,0,0,0.1);
        }
    </style>
</head>
<body>
    <div class="content">
        <h1>الإحصائيات والتقارير</h1>
        
        <div class="stats-container">
            <div class="chart-container">
                <h2>إحصائيات الصيانة الشهرية</h2>
                <canvas id="monthlyStats"></canvas>
            </div>
            
            <div class="chart-container">
                <h2>توزيع حالات أوامر العمل</h2>
                <canvas id="workOrderStatus"></canvas>
            </div>
            
            <div class="chart-container">
                <h2>إجمالي المبيعات</h2>
                <canvas id="salesChart"></canvas>
            </div>
            
            <div class="chart-container">
                <h2>أكثر الخدمات طلباً</h2>
                <canvas id="servicesChart"></canvas>
            </div>
        </div>

        <?php
        // إحصائيات أوامر العمل
        $workOrderStats = $pdo->query("SELECT status, COUNT(*) as count 
                                     FROM work_orders 
                                     GROUP BY status")->fetchAll();
        
        // إحصائيات المبيعات الشهرية
        $monthlySales = $pdo->query("SELECT DATE_FORMAT(issue_date, '%Y-%m') as month, 
                                   SUM(amount) as total 
                                   FROM invoices 
                                   GROUP BY month 
                                   ORDER BY month DESC 
                                   LIMIT 6")->fetchAll();
        ?>

        <script>
        // رسم الإحصائيات باستخدام Chart.js
        new Chart(document.getElementById('workOrderStatus'), {
            type: 'pie',
            data: {
                labels: <?php echo json_encode(array_column($workOrderStats, 'status')); ?>,
                datasets: [{
                    data: <?php echo json_encode(array_column($workOrderStats, 'count')); ?>,
                    backgroundColor: ['#ffc107', '#17a2b8', '#28a745', '#dc3545']
                }]
            }
        });

        new Chart(document.getElementById('monthlyStats'), {
            type: 'bar',
            data: {
                labels: <?php echo json_encode(array_column($monthlySales, 'month')); ?>,
                datasets: [{
                    label: 'المبيعات الشهرية',
                    data: <?php echo json_encode(array_column($monthlySales, 'total')); ?>,
                    backgroundColor: '#007bff'
                }]
            }
        });
        </script>
    </div>
</body>
</html>