<?php
session_start();
include 'config.php';
if (!isset($_SESSION['user_id'])) {
    header('Location: login.php');
    exit();
}
?>
<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <title>إدارة السيارات - مركز الصيانة</title>
    <style>
        .vehicle-form {
            background: white;
            padding: 20px;
            border-radius: 8px;
            margin-bottom: 20px;
        }
        .vehicle-table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }
        .vehicle-table th, .vehicle-table td {
            padding: 10px;
            border: 1px solid #ddd;
            text-align: right;
        }
        .form-group {
            margin-bottom: 15px;
        }
        .form-group label {
            display: block;
            margin-bottom: 5px;
        }
        .form-group input, .form-group select {
            width: 100%;
            padding: 8px;
            border: 1px solid #ddd;
            border-radius: 4px;
        }
        .btn-add {
            background: #28a745;
            color: white;
            padding: 10px 15px;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }
    </style>
</head>
<body>
    <!-- نفس Sidebar من dashboard.php -->
    
    <div class="content">
        <h1>إدارة السيارات</h1>
        
        <div class="vehicle-form">
            <h2>إضافة سيارة جديدة</h2>
            <form method="POST">
                <div class="form-group">
                    <label>العميل:</label>
                    <select name="customer_id" required>
                        <?php
                        $stmt = $pdo->query("SELECT customer_id, name FROM customers");
                        while ($row = $stmt->fetch()) {
                            echo "<option value='{$row['customer_id']}'>{$row['name']}</option>";
                        }
                        ?>
                    </select>
                </div>
                <div class="form-group">
                    <label>الشركة المصنعة:</label>
                    <input type="text" name="make" required>
                </div>
                <div class="form-group">
                    <label>الموديل:</label>
                    <input type="text" name="model" required>
                </div>
                <div class="form-group">
                    <label>السنة:</label>
                    <input type="number" name="year" required>
                </div>
                <div class="form-group">
                    <label>رقم اللوحة:</label>
                    <input type="text" name="plate_number" required>
                </div>
                <div class="form-group">
                    <label>رقم الهيكل (VIN):</label>
                    <input type="text" name="vin">
                </div>
                <button type="submit" name="add_vehicle" class="btn-add">إضافة سيارة</button>
            </form>
        </div>

        <table class="vehicle-table">
            <thead>
                <tr>
                    <th>الرقم</th>
                    <th>العميل</th>
                    <th>الشركة</th>
                    <th>الموديل</th>
                    <th>السنة</th>
                    <th>رقم اللوحة</th>
                    <th>الإجراءات</th>
                </tr>
            </thead>
            <tbody>
                <?php
                $stmt = $pdo->query("SELECT v.*, c.name as customer_name 
                                   FROM vehicles v 
                                   JOIN customers c ON v.customer_id = c.customer_id");
                while ($row = $stmt->fetch()) {
                    echo "<tr>";
                    echo "<td>{$row['vehicle_id']}</td>";
                    echo "<td>{$row['customer_name']}</td>";
                    echo "<td>{$row['make']}</td>";
                    echo "<td>{$row['model']}</td>";
                    echo "<td>{$row['year']}</td>";
                    echo "<td>{$row['plate_number']}</td>";
                    echo "<td>
                            <a href='edit_vehicle.php?id={$row['vehicle_id']}'>تعديل</a> |
                            <a href='delete_vehicle.php?id={$row['vehicle_id']}'>حذف</a> |
                            <a href='vehicle_history.php?id={$row['vehicle_id']}'>السجل</a>
                          </td>";
                    echo "</tr>";
                }
                ?>
            </tbody>
        </table>
    </div>
</body>
</html>