<?php
session_start();
include 'config.php';
if (!isset($_SESSION['user_id'])) {
    header('Location: login.php');
    exit();
}
?>
<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <title>أوامر العمل - مركز الصيانة</title>
    <style>
        .order-form {
            background: white;
            padding: 20px;
            border-radius: 8px;
            margin-bottom: 20px;
        }
        .status-pending { color: #ffc107; }
        .status-in-progress { color: #17a2b8; }
        .status-completed { color: #28a745; }
        .status-cancelled { color: #dc3545; }
    </style>
</head>
<body>
    <div class="content">
        <h1>أوامر العمل</h1>
        
        <div class="order-form">
            <h2>إنشاء أمر عمل جديد</h2>
            <form method="POST">
                <div class="form-group">
                    <label>السيارة:</label>
                    <select name="vehicle_id" required>
                        <?php
                        $stmt = $pdo->query("SELECT v.vehicle_id, v.plate_number, c.name 
                                           FROM vehicles v 
                                           JOIN customers c ON v.customer_id = c.customer_id");
                        while ($row = $stmt->fetch()) {
                            echo "<option value='{$row['vehicle_id']}'>{$row['plate_number']} - {$row['name']}</option>";
                        }
                        ?>
                    </select>
                </div>
                <div class="form-group">
                    <label>وصف العمل:</label>
                    <textarea name="description" required></textarea>
                </div>
                <div class="form-group">
                    <label>تاريخ البدء:</label>
                    <input type="date" name="start_date" required>
                </div>
                <div class="form-group">
                    <label>التكلفة المتوقعة:</label>
                    <input type="number" name="total_cost" step="0.01" required>
                </div>
                <button type="submit" name="add_order" class="btn-add">إنشاء أمر العمل</button>
            </form>
        </div>

        <table class="vehicle-table">
            <thead>
                <tr>
                    <th>رقم الأمر</th>
                    <th>السيارة</th>
                    <th>العميل</th>
                    <th>الوصف</th>
                    <th>الحالة</th>
                    <th>تاريخ البدء</th>
                    <th>التكلفة</th>
                    <th>الإجراءات</th>
                </tr>
            </thead>
            <tbody>
                <?php
                $stmt = $pdo->query("SELECT wo.*, v.plate_number, c.name as customer_name 
                                   FROM work_orders wo 
                                   JOIN vehicles v ON wo.vehicle_id = v.vehicle_id 
                                   JOIN customers c ON v.customer_id = c.customer_id 
                                   ORDER BY wo.order_id DESC");
                while ($row = $stmt->fetch()) {
                    $statusClass = "status-" . strtolower($row['status']);
                    echo "<tr>";
                    echo "<td>{$row['order_id']}</td>";
                    echo "<td>{$row['plate_number']}</td>";
                    echo "<td>{$row['customer_name']}</td>";
                    echo "<td>{$row['description']}</td>";
                    echo "<td class='{$statusClass}'>{$row['status']}</td>";
                    echo "<td>{$row['start_date']}</td>";
                    echo "<td>{$row['total_cost']}</td>";
                    echo "<td>
                            <a href='edit_order.php?id={$row['order_id']}'>تعديل</a> |
                            <a href='create_invoice.php?id={$row['order_id']}'>إنشاء فاتورة</a>
                          </td>";
                    echo "</tr>";
                }
                ?>
            </tbody>
        </table>
    </div>
</body>
</html>